Page MenuHomePhabricator

Add extra namespace in Basque Wikipedia
Closed, ResolvedPublic

Description

Hello!
We have been discussing about adding contents for children in Basque wikipedia, and the solution found needs an extra namespace called "Txikipedia", so we can create an extra tab using some system discussed here: T189459.

There's community consensus about this, as voted here: https://eu.wikipedia.org/wiki/Wikipedia:Txokoa#Vikidia_eta_Wikipedia, and also about the name, as can be seen in the link.

This extra namespace will have specific content.

Thanks!

Event Timeline

Theklan created this task.Apr 4 2018, 10:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2018, 10:07 AM

Hi!

This will need an internal number. For convenience, it should be similar to what is used, if there are similar namespaces in other projects. By the name I am guessing that it's a namespace for children. Is there anything similar in other languages?

Yes, it's for children. And don't know about similar projects, so the number it's not my main concern.

OK, if there's nothing similar in any other language, then it should be a distinct number.

jhsoby claimed this task.Apr 4 2018, 11:14 AM
jhsoby added a subscriber: jhsoby.

Just to confirm, the talk namespace should be "Txikipedia eztabaida", correct? The talk namespace won't get any links, so probably very minimal use, but it needs to be there nonetheless – I fear it will complicate things a lot if it isn't.

Yes, it would need to be like that. I wonder how we could manage the extra tab with the Talk page there... maybe we would need to reorder everything?

I don't think a separate tab for the Txikipedia talk would be necessary, one could just use the normal talk page for that, don't you think? If you want a separate tab for it that's relatively simple to achieve, but I think it would look a bit messy.

Yes... very messy! I have created a logo that can be added via css (maybe there are other ways, but with css is only one line) and two icons, one if the article exists, and the other one if it must be created. This would be the tabs text.

Change 423888 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add namespace to euwiki

https://gerrit.wikimedia.org/r/423888

Alright, patch is ready and I added it to the upcoming SWAT, so it should be done in a couple of hours.

Wow! What will the number be?

Just 104 and 105, the next unused numbers for the Basque Wikipedia in wgExtraNamespaces.

Change 423888 merged by jenkins-bot:
[operations/mediawiki-config@master] Add namespace to euwiki

https://gerrit.wikimedia.org/r/423888

Mentioned in SAL (#wikimedia-operations) [2018-04-04T13:29:00Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:423911|Revert "Add namespace to euwiki" (T191396)]] (duration: 01m 14s)

I don't understand the dynamics here? Has it been uploaded or something more is going to happen? (just curious)

Urbanecm closed this task as Resolved.Apr 4 2018, 5:12 PM
Urbanecm added a subscriber: Urbanecm.

It should be done. Can explain the bot messages if you want ;).

It would be interesting @Urbanecm

jhsoby reopened this task as Open.Apr 4 2018, 7:49 PM

Sorry, I meant to comment sooner but I got preoccupied.

The patch was merged, but during testing it something went wrong, and I frankly have no idea why. So we had to revert the patch. Was trying to ask some people what they thought, but most were still asleep. I'll try again now since the SF people have woken up.

Great! Just wanted to understand the bots messages, as one said was done and the other one not.

Change 424065 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add namespace for euwiki

https://gerrit.wikimedia.org/r/424065

Oh, sorry for closing, I just saw synced message so I thought it is completed.

@Theklan As I promised, usual process with those siterequests follows

  1. Somebody from the community creates task, provide community consensus etc
  2. Somebody else will claim the task - this mean "I'm going to process this" to prevent double working
  3. Gerritbot will write "related patch set uploaded" - Gerrit is our code review system and every code change is there. This mean "somebody uploaded patch and said "this patch I'm uploading is relevant to T191396"
  4. Nothing or message "This is scheduled for Morning/EU/Evening SWAT window". SWAT stands (in this case) for setting wikis ablaze team. Each workday except Friday (no windows) and Tuesdays (two windows) there are 3 windows that are used for simple changes (mostly configuration). In this window, authorized volunteer or WMF staffer reviews the uploaded change and if everything's ok, deploys it. The change is tested, but usually invisible on the task.
  5. Stashbot: Stashbot take care about server admin log aka SAL (see sidebar at wikitech.wikimedia.org). For transparency, if certain row in SAL is related to particular task, for example this one, Stashbot will publish it here. As of now, Stashbot won't catch deploying to test servers (when deploying, config change is deployed to a testserver that isn't used by normal users, then deployed to all servers to ensure everything's right) so message from Stashbot saying "Synchronized path/to/file.php" generally means the request is at its end. Sometime, a script is required for completing. Either new task is filled (if it can wait) or run by the SWATter (if it cannot).
  6. If special enough (new namespace that conflict with pseudonamespace, if you use pages starting with Test: and I create Test namespace, the pages will be unaccessible): SWATter will post a command output here for transparency.

Note this applies almost ultimately to site requests only. Other task have different workflow, but gerritbot and Stashbot do the same: first one take care about notifying about uploaded/merged/abandoned code changes and the latter one about copying SAL to the task. Meaning can be different, for example, changes in MediaWiki itself are deployed once a week in separate window and because of that, tasks get "resolved" at different time.

Hope it is understandable. Feel free to ask if you want to know more.

I understand a little bit more now, specially parts 4-5... enough for today! THANKS!

Urbanecm added a comment.EditedApr 4 2018, 9:16 PM

Well...this sounds fishy. I looked into log of #wikimedia-operations traffic at IRC and didn't find anything that direct me a little. As I don't have access to logstash (advanced logs are there, restricted to authorized volunteers/staffers), I can't be 100% sure but... It can be a temporary technical problem with the server itself (most likely IMHO, the config itself seems to be ok). I'd just try it again in another SWAT, if it will happen again, I'd suggest trying another NS number to ensure this kind of conflict didn't happen (well...unlikely, see output, but strange things can happen). If we wait a week till next Wednesday SWAT, I can be present as well, two heads know more than one.

euwiki namespace numbers with at least one page
urbanecm@tools-bastion-02 ~ 
$ sql euwiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 2945508
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [euwiki_p]> select distinct page_namespace from page;
+----------------+
| page_namespace |
+----------------+
|              0 |
|              1 |
|              2 |
|              3 |
|              4 |
|              5 |
|              6 |
|              7 |
|              8 |
|              9 |
|             10 |
|             11 |
|             12 |
|             13 |
|             14 |
|             15 |
|            100 |
|            101 |
|            102 |
|            103 |
|            828 |
|            829 |
+----------------+
22 rows in set (0.57 sec)

MariaDB [euwiki_p]>
jhsoby added a comment.Apr 4 2018, 9:27 PM

Thanks for looking into it too, @Urbanecm!

My working theory is that some of the other merges made in the same timeframe (see here) had something to do with the errors we experienced, so I remade the patch from scratch (just to be safe) and have added it for the next SWAT happening in about two hours. If the same happens again, I'll file a separate bug for it, since it doesn't make any sense to me that just adding a few namespaces would create a loop error.

Change 424065 merged by jenkins-bot:
[operations/mediawiki-config@master] Add namespace for euwiki

https://gerrit.wikimedia.org/r/424065

Mentioned in SAL (#wikimedia-operations) [2018-04-04T23:09:11Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Add Txikipedia namespace on euwiki (T191396) (duration: 01m 18s)

jhsoby closed this task as Resolved.Apr 4 2018, 11:11 PM

Alright, done! It worked this time. :-)

Always remember namespaceDupes.php :-)

jhsoby added a comment.Apr 5 2018, 9:36 PM

We did! :-)

Theklan reopened this task as Open.Apr 10 2018, 5:33 PM

New namespace contents are being counted as articles. They shouldn't, as they're not strictly talking articles.

I thnk that is related to the same thing, but when we search something INSIDE this namespace, it gives a search result instead of the article. We have a search box in https://eu.wikipedia.org/wiki/Txikipedia:Azala with the following code:

<inputbox>
type=search
namespaces=Txikipedia
width=20
searchbuttonlabel=Bilatu Txikipedian
placeholder=Zeren bila zabiltza?
break=no
</inputbox>

If we insert, let's say, "Galileo Galilei" it should go directly to "Txikipedia:Galileo Galilei" but instead of that gives this result: https://eu.wikipedia.org/wiki/Berezi:Bilatu?search=Galileo+Galilei&ns104=1&fulltext=Bilatu+Txikipedian&searchToken=81wvwluozjhoulfrey3r4qkm5

I think that this must be changes via this parameter:

$wgNamespacesToBeSearchedDefault[NS_PROJECT] = true;

Can someone help us with this?

stjn added a subscriber: stjn.Apr 14 2018, 6:44 PM

Can someone help us with this?

You can add prefix=Txikipedia: to the form to do something like you want (although it won’t automatically redirect to the article about Galileo), refer to the documentation.

Anything that should be done here?

Theklan closed this task as Resolved.May 2 2018, 9:07 AM
Theklan reopened this task as Open.May 2 2018, 5:14 PM

Items in Txikipedia namespace are still counted as articles in some lists. Maybe this can't be solved: https://eu.wikipedia.org/wiki/Berezi:OrrialdeMotzak

Also article count is reflecting Txikipedia namespace.

Items in Txikipedia namespace are still counted as articles in some lists. Maybe this can't be solved: https://eu.wikipedia.org/wiki/Berezi:OrrialdeMotzak

It looks like $wgContentNamespaces should be disabled for this NS, that was enabled in the NS creation patch.

@Theklan can you confirm that?

Change 481266 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Remove NS 104 from wgContentNamespaces for euwiki

https://gerrit.wikimedia.org/r/481266

@Theklan: Could you reply to T191396#4842449 please? Thanks!

Items in Txikipedia namespace are still counted as articles in some lists. Maybe this can't be solved: https://eu.wikipedia.org/wiki/Berezi:OrrialdeMotzak

It looks like $wgContentNamespaces should be disabled for this NS, that was enabled in the NS creation patch.

Maybe is ok to count this Txikipedia articles as articles. I would say that this topic is closed.

Theklan closed this task as Resolved.Feb 18 2019, 4:40 PM

Change 481266 abandoned by Urbanecm:
Remove NS 104 from wgContentNamespaces for euwiki

Reason:
Connected task is closed, requestor said "Maybe is ok to count this Txikipedia articles as articles" => abandoning to keep backlog cleared.

https://gerrit.wikimedia.org/r/481266